incompatable Rated 1 out of 5 stars

This add-on is incompatible with Firefox version 2.0.0.13 unfortunately.